Modify

Opened 4 years ago

Closed 4 years ago

Last modified 4 years ago

#13597 closed defect (fixed)

No such function prettifyValue in OpeningHourTest

Reported by: skyper Owned by: team
Priority: minor Milestone: 16.10
Component: Core validator Version: latest
Keywords: template_report opening hours javascript Cc:

Description (last modified by skyper)

Just found the NoSuchMethodException in my terminal output. Do not really know where it comes from but I use overpass for all downloads. May be pasting a note url in download dialog ?

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-09-08 01:17:53 +0200 (Thu, 08 Sep 2016)
Build-Date:2016-09-08 01:35:41
Revision:10976
Relative:URL: ^/trunk

Identification: JOSM/1.5 (10976 en) Linux Debian GNU/Linux 8.5 (jessie)
Memory Usage: 146 MB / 485 MB (67 MB allocated, but free)
Java version: 1.8.0_102-8u102-b14.1-1~bpo8+1-b14, Oracle Corporation, OpenJDK 64-Bit Server VM
Java package: openjdk-8-jre:amd64-8u102-b14.1-1~bpo8+1
Java ATK Wrapper package: libatk-wrapper-java:all-0.30.5-1
VM arguments: [-Djosm.home=<josm.pref>]
Program arguments: [--language=en]

Plugins:
+ OpeningHoursEditor (32699)
+ imagery_offset_db (32796)
+ reverter (32796)
+ tag2link (32941)
+ terracer (32699)
+ undelete (32699)
+ utilsplugin2 (32815)
+ wikipedia (32884)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/Crafts&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/LaneAttributes&zip=1
+ http://osmtools.de/josm/steps.xml
+ https://josm.openstreetmap.de/josmfile?page=Presets/Simple_Indoor_Tagging&zip=1

Map paint styles:
+ https://josm.openstreetmap.de/josmfile?page=Styles/Landcover&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
INFO: GET https://api.openstreetmap.org/api/0.6/user/details (get number of unread messages) -> 200 (394 B)
Sep 08, 2016 10:02:57 PM org.openstreetmap.josm.Main warn
WARNING: java.lang.NoSuchMethodException: No such function prettifyValue
java.lang.NoSuchMethodException: No such function prettifyValue
	at jdk.nashorn.api.scripting.ScriptObjectMirror.callMember(ScriptObjectMirror.java:204)
	at jdk.nashorn.api.scripting.NashornScriptEngine.invokeImpl(NashornScriptEngine.java:383)
	at jdk.nashorn.api.scripting.NashornScriptEngine.invokeMethod(NashornScriptEngine.java:199)
	at org.openstreetmap.josm.data.validation.tests.OpeningHourTest.checkOpeningHourSyntax(OpeningHourTest.java:208)
	at org.openstreetmap.josm.data.validation.tests.OpeningHourTest.checkOpeningHourSyntax(OpeningHourTest.java:184)
	at org.openstreetmap.josm.data.validation.tests.OpeningHourTest.check(OpeningHourTest.java:259)
	at org.openstreetmap.josm.data.validation.tests.OpeningHourTest.check(OpeningHourTest.java:266)
	at org.openstreetmap.josm.data.validation.Test$TagTest.visit(Test.java:123)
	at org.openstreetmap.josm.data.osm.Node.accept(Node.java:230)
	at org.openstreetmap.josm.data.validation.Test.visit(Test.java:211)
	at org.openstreetmap.josm.actions.ValidateAction$ValidationTask.realRun(ValidateAction.java:166)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.doRealRun(PleaseWaitRunnable.java:93)
	at org.openstreetmap.josm.gui.PleaseWaitRunnable.run(PleaseWaitRunnable.java:141)
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1142)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:617)
	at java.lang.Thread.run(Thread.java:745)

Sep 08, 2016 10:03:37 PM org.openstreetmap.josm.Main info

Attachments (1)

josm_13597_example.osm (247 bytes) - added by skyper 4 years ago.
example file

Download all attachments as: .zip

Change History (15)

comment:1 Changed 4 years ago by Don-vip

Component: CoreCore validator
Keywords: opening hours javascript added
Summary: quiet NPE using josmquiet exception using josm

Please do not say "NPE" everywhere when it is not.

comment:2 Changed 4 years ago by Don-vip

Are you using the Debian package or our own?

comment:3 Changed 4 years ago by Don-vip

Summary: quiet exception using josmNo such function prettifyValue in OpeningHourTest

comment:4 in reply to:  2 Changed 4 years ago by skyper

Replying to Don-vip:

Are you using the Debian package or our own?

Nice joke. There is no josm in debian experimental.

Replying to skyper:

URL:http://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2016-09-08 01:17:53 +0200 (Thu, 08 Sep 2016)
Build-Date:2016-09-08 01:35:41
Revision:10976
Relative:URL: ^/trunk

Identification: JOSM/1.5 (10976 en) Linux Debian GNU/Linux 8.5 (jessie)

comment:5 Changed 4 years ago by skyper

Version: latest

comment:6 Changed 4 years ago by skyper

Description: modified (diff)

Changed 4 years ago by skyper

Attachment: josm_13597_example.osm added

example file

comment:7 Changed 4 years ago by skyper

Can reproduce: see attached file attachment:josm_13597_example.osm.

comment:8 Changed 4 years ago by Don-vip

I cannot:

Identification: JOSM/1.5 (10976 SVN fr) Windows 10 64-Bit
Java version: 1.8.0_102-b14, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM

comment:9 Changed 4 years ago by Don-vip

Erratum, reproduced also.

comment:10 Changed 4 years ago by Don-vip

Keywords: regression added
Milestone: 16.09

comment:11 Changed 4 years ago by Don-vip

Keywords: regression removed

comment:12 Changed 4 years ago by Don-vip

Priority: normalminor

comment:13 Changed 4 years ago by Don-vip

Resolution: fixed
Status: newclosed

In 10978/josm:

fix #13597 - No such function prettifyValue in OpeningHourTest

comment:14 Changed 4 years ago by simon04

Milestone: 16.0916.10

Milestone renamed

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain team.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.